std::make_exception_ptr(3)

NAME
std::make_exception_ptr - std::make_exception_ptr

Synopsis
   Defined in header <exception>
   template< class E > (since C++11)
   std::exception_ptr make_exception_ptr( E e ) noexcept;
   Creates an std::exception_ptr that holds a reference to a copy of e. This is done as
   if executing the following code:
 try {
     throw e;
 } catch(...) {
     return std::current_exception();
 }

Parameters
   (none)

Return value
   An instance of std::exception_ptr holding a reference to the copy of e, or to an
   instance of std::bad_alloc or to an instance of std::bad_exception (see
   std::current_exception).

Notes
   The parameter is passed by value and is subject to slicing.

See also
   current_exception captures the current exception in a std::exception_ptr
   (C++11) (function)